/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.rights;

import java.util.HashSet;
import java.util.Set;

import org.ametys.core.right.RightContextConvertor;
import org.ametys.odf.course.Course;
import org.ametys.odf.coursepart.CoursePart;
import org.ametys.runtime.plugin.component.AbstractLogEnabled;

/**
 * This implementation convert the {@link CoursePart} to a Set of {@link Course} they belong to.
 */
public class CoursePartRightsContextConvertor extends AbstractLogEnabled implements RightContextConvertor
{
    @Override
    public Set<Object> convert(Object object)
    {
        Set<Object> convertedObjects = new HashSet<>();
        
        if (object instanceof CoursePart)
        {
            convertedObjects.addAll(((CoursePart) object).getCourses());
        }
        
        return convertedObjects;
    }
}
